Bug 988365 - [RFE] v2 metering API improvements
[RFE] v2 metering API improvements
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: 5.0 (RHEL 7)
Assigned To: Eoghan Glynn
Brandon Perkins
: FutureFeature, ZStream
Depends On:
Blocks: 973191 1055813
  Show dependency treegraph
Reported: 2013-07-25 08:15 EDT by Eoghan Glynn
Modified: 2016-04-26 12:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-16 10:25:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 33290 None None None Never
OpenStack gerrit 35297 None None None Never
OpenStack gerrit 36107 None None None Never
OpenStack gerrit 41597 None None None Never

  None (edit)
Description Eoghan Glynn 2013-07-25 08:15:33 EDT
The v2 requires some improvements to respond to a more advanced style of query:

* addition of group-by operations
* usage of a resource that lasted more than some threshold duration
* usage of a resource over a duration, listing changes by increment of X volume over a period of Y time
* better statistics aggregation (Deviation, Median, Variation, Distribution, Slope, etc...)
* support for API extensions

Upstream blueprints: https://blueprints.launchpad.net/ceilometer/+spec/api-group-by , https://blueprints.launchpad.net/ceilometer/+spec/api-v2-improvement , https://blueprints.launchpad.net/ceilometer/+spec/ceilometer-api-extensions
Comment 2 Eoghan Glynn 2014-04-29 08:52:37 EDT
Of the upstream blueprints linked to this BZ:

1. api-group-by - implemented in Havana

2. api-v2-improvement - the key aspects were implemented in Icehouse by the following:


3. ceilometer-api-extensions - this has not achieved traction upstream and is not likely to be implemented.
Comment 3 Eoghan Glynn 2015-12-16 10:25:33 EST
Key aspects already implemented in icehouse, api-extensions are never going to happen.

Note You need to log in before you can comment on or make changes to this bug.